import axios from '@/libs/axios.js';

// 获取商品分类
export const getGoodsClass = params => {
  return axios.request({
    url: `goodsType/queryList`,
    method: 'post',
	data: params
  })
};

// 获取商品列表
export const getGoodsList = params => {
  return axios.request({
    url: `goods/query/${params.pageNo}/${params.pageSize}`,
    method: 'post',
	data: params
  })
};

// 获取商品详情
export const getGoodsDetail = params => {
  return axios.request({
    url: `goods/findById/${params.id}`,
    method: 'get',
  })
};